# Gazebo ROS plugins

This repository contains several plugins that may be handy for experimentation
with the Gazebo simulator.

Right now, the package contains the following plugins:
* Gripper plugin: model plugin for easily grasping objects in Gazebo without
  physical contact between the gripper link and the graspable objects. This
  overcomes the difficulties that arise from squishing an object between two
  links.
* Black hole plugin: model plugin that converts a given model into a
  "black hole". This means that if any of a given list of models (the "stars")
  touches the "black hole", then the model will be deleted. Useful to dispatch
  objects that are no longer required in the simulation (e.g. a can thrown to
  the thrash).

TO-DO: Instructions and examples on how to use the plugins
